<nb-card>
  <nb-card-header class="d-flex align-items-center justify-content-between">
    <div class="d-flex align-items-center">
      <nb-icon icon="people-outline" class="mr-3"></nb-icon>
      <span>Manage users</span>
    </div>
  </nb-card-header>
  <nb-card-body [nbSpinner]="isLoading" nbSpinnerMessage="Loading...">
    <nb-list>
      <nb-list-item *ngFor="let item of items | paginate: { itemsPerPage: 20, currentPage: currentParams.page, totalItems: totalItems }" class="d-flex align-items-center">
        <div class="d-flex justify-content-between align-items-center w-100">
          <h6 class="m-0 mr-3">{{ item.username }}</h6>
          <span>{{ item.email }}</span>
        </div>
      </nb-list-item>
    </nb-list>

    <ng-container *ngIf="!isLoading && items.length === 0">
      <nb-alert outline="info" class="mt-5">Oops! There are categories.</nb-alert>
    </ng-container>
  </nb-card-body>
  <nb-card-footer *ngIf="!isLoading && items.length">
    <pagination-controls (pageChange)="onPageChange($event)"></pagination-controls>
  </nb-card-footer>
</nb-card>
